Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

There is no jailbreak for iOS 8 yet. How to jailbreak iOS 7.1-7.1.2 (using Pangu). How to jailbreak iOS 6.0-6.1.6.
Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems. If you'd like to ask for live help, you can join our chat room.

How can I downgrade an iPhone 3gs with iOS 6 and is locked, to 4.1 and up iOS versions (preferably 5.1.1) while unlocking (before and after unlocking works is fine by me as well) with baseband 05.16.07?


The full workflow would be:

  • Enter DFU mode
  • Downgrade to 4.1 in Itunes - apple still signs 4.1 so no issues there. 4.1 will not kick you out for having the wrong baseband either.
  • Upgrade to 5.1.1 (if you have the blobs) with redsn0w, you may need to use redsn0w to kick you out of the boot loop caused by baseband mismatch, so don't panic if you get an error.
  • With redsn0w, flash baseband 6.15.0 first then downgrade to 5.13, apply ultrasn0w to unlock :)
link

answered 14 Oct '12, 03:38

Laforet's gravatar image

Laforet
162117

Where can I get the blobs since I don't have them?

(14 Oct '12, 03:45) AnimeObsession AnimeObsession's gravatar image

i suggest restoring to a no baseband 4.1, dont want to rick bricking the baseband

(14 Oct '12, 03:46) 1L1keTurtles 1L1keTurtles's gravatar image

4.1 blobs are still provided by apple, check whether you have 5.1.1 blobs by querying cydia using redsn0w. Also, you cannot flash a lower baseband version on 3Gs, the BB does not allow it. The only risk is if you have a recently manufactured 3Gs with NOR flash incompatible with 6.15.00 but they are very rare and redsn0w provides plenty of warnings

(14 Oct '12, 03:48) Laforet Laforet's gravatar image

When upgrading to 5.1.1, should I install Cydia and other things on the selection stuff?

(14 Oct '12, 04:00) AnimeObsession AnimeObsession's gravatar image

You need to jailbreak and have cydia to be able to apply ultrasn0w so yes

(14 Oct '12, 04:14) Laforet Laforet's gravatar image

Okay, bit of a problem, it won't let me update to 5.1.1, so what now? Do I stitch blobs into the 5.1.1 firmware?

(14 Oct '12, 04:15) AnimeObsession AnimeObsession's gravatar image

Do you actually have the blobs for 5.1.1? Failing that, you can always flash your baseband while on 4.1 and wait for 6.0 JB

(14 Oct '12, 04:18) Laforet Laforet's gravatar image

By this time it's obvious to me I need to flash, would you help me through this?

(14 Oct '12, 04:21) AnimeObsession AnimeObsession's gravatar image

Just jailbreak with the option of upgrading baseband to 6.15.00 then downgrade. There are guides all over the net such as http://www.iclarified.com/entry/index.php?enid=22652

(14 Oct '12, 05:17) Laforet Laforet's gravatar image

Thanks. Loves for you.

(14 Oct '12, 05:27) AnimeObsession AnimeObsession's gravatar image
Your answer: (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×761
×543
×23
×5

Asked: 14 Oct '12, 02:42

Seen: 9,700 times

Last updated: 14 Oct '12, 05:27

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.